package com.backendsys.mapper.Ai.Aiivh;

import com.backendsys.entity.Ai.Aiivh.AiivhMakeBroadcastAudioTask.AiivhMakeBroadcastAudioTaskDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * AI数智人-定制音视频播报任务
 */
@Mapper
public interface AiivhMakeBroadcastAudioTaskMapper {
    List<Map<String, Object>> queryAiivhMakeBroadcastAudioTask(AiivhMakeBroadcastAudioTaskDTO aiivhMakeBroadcastAudioTaskDTO);
    Map<String, Object> queryAiivhMakeBroadcastAudioTaskDetail(AiivhMakeBroadcastAudioTaskDTO aiivhMakeBroadcastAudioTaskDTO);
    long insertAiivhMakeBroadcastAudio(AiivhMakeBroadcastAudioTaskDTO aiivhMakeBroadcastAudioTaskDTO);
    long updateAiivhMakeBroadcastAudio(AiivhMakeBroadcastAudioTaskDTO aiivhMakeBroadcastAudioTaskDTO);
    long deleteAiivhMakeBroadcastAudio(AiivhMakeBroadcastAudioTaskDTO aiivhMakeBroadcastAudioTaskDTO);
}
